---
updatedAt: 2026-08-10T08:11:24.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get User Details

Returns the user's details based on the username.

**Security:** Requires admin privileges, or a scoped token with
`system:identities:r`.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Users API",
    "description": "User management APIs for the JFrog Platform.\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n**Security:** Unless otherwise specified, all APIs require admin privileges.\n**Availability:** Artifactory 7.49.3+\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Users",
      "description": "APIs for creating, updating, deleting, and managing JFrog Platform users, groups, and passwords."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v2/users/{username}": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get User Details",
        "description": "Returns the user's details based on the username.\n\n**Security:** Requires admin privileges, or a scoped token with\n`system:identities:r`.\n",
        "operationId": "getUserDetails",
        "parameters": [
          {
            "name": "username",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The username to retrieve details for"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserDetails"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input, object invalid"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - Username not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "UserDetails": {
        "type": "object",
        "properties": {
          "username": {
            "type": "string",
            "description": "The username"
          },
          "email": {
            "type": "string",
            "description": "The user's email address"
          },
          "admin": {
            "type": "boolean",
            "description": "Whether the user is an admin"
          },
          "effective_admin": {
            "type": "boolean",
            "description": "Whether the user is effectively an admin (based on groups)."
          },
          "profile_updatable": {
            "type": "boolean",
            "description": "Whether the user can update their profile"
          },
          "disable_ui_access": {
            "type": "boolean",
            "description": "Whether UI access is disabled for this user"
          },
          "internal_password_disabled": {
            "type": "boolean",
            "description": "Whether internal password is disabled"
          },
          "last_logged_in": {
            "type": "string",
            "format": "date-time",
            "description": "Last login timestamp"
          },
          "realm": {
            "type": "string",
            "description": "The authentication realm"
          },
          "groups": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Groups the user belongs to"
          },
          "status": {
            "type": "string",
            "enum": [
              "invited",
              "enabled",
              "disabled",
              "locked"
            ],
            "description": "User status"
          },
          "watch_manager": {
            "type": "boolean",
            "description": "Whether user is a watch manager. Available from Artifactory 7.128.0."
          },
          "policy_viewer": {
            "type": "boolean",
            "description": "Whether user is a policy viewer. Available from Artifactory 7.128.0."
          },
          "policy_manager": {
            "type": "boolean",
            "description": "Whether user is a policy manager. Available from Artifactory 7.128.0."
          },
          "reports_manager": {
            "type": "boolean",
            "description": "Whether user is a reports manager. Available from Artifactory 7.128.0."
          },
          "resources_manager": {
            "type": "boolean",
            "description": "Whether user is a resources manager. Available from Artifactory 7.128.0."
          },
          "manage_webhook": {
            "type": "boolean",
            "description": "Whether user can manage webhooks. Available from Artifactory 7.128.0."
          },
          "platform_auditor": {
            "type": "boolean",
            "description": "Whether user is a platform auditor. Available from Artifactory 7.141.0."
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```